| IOLink Python 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Properties | List of all members
iolink.iolink.MetadataNodeHelper Class Reference
Inheritance diagram for iolink.iolink.MetadataNodeHelper:

## Public Member Functions
| __init__ (self)

## Static Public Member Functions
| get_node (root, path)
| exists (root, path)
| create_path (origin, path, value)

## Properties
| thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")

## Detailed Description

    A collection of functions to handle paths on MetadataNode instances.

## Member Function Documentation

## ◆ create_path()

iolink.iolink.MetadataNodeHelper.create_path | ( |  | origin,
|  |  | path,
|  |  | value
| ) |  |
| static

        Helper allowing to create the given path in given tree origin.
        ex: /MRC/ext/pixelSize" or "MRC/ext/pixelSize"
        The method will only create missing nodes in given tree origin.
        If specified, the given value will be affected to last node of the given path ("pixelSize" in above example).
        If the whole path already exists, the last node will be overwritten with a created one containing given value.

        @param origin node from where the path must be created
        @param path path to create
        @param value value to affect to the leaf of given path, null by default
        @return the origin node

## ◆ exists()

iolink.iolink.MetadataNodeHelper.exists | ( |  | root,
|  |  | path
| ) |  |
| static

        Check if a path exists in the metadata tree.

        :type root: :py:class:`MetadataNode`
        :param root: The node from which to check the path.
        :type path: string
        :param path: The path to test.

## ◆ get_node()

iolink.iolink.MetadataNodeHelper.get_node | ( |  | root,
|  |  | path
| ) |  |
| static

        Helper returning child node of given root node using a path.
        ex: "/MRC/ext/pixelSize"

        The following paths are equivalent:
        "/MRC/ext/pixelSize", "MRC/ext/pixelSize", "\\MRC\\ext\\pixelSize" and "MRC\\ext\\pixelSize"

        If child node doesn't exist, nullptr is returned.

        Warning: Doesn't support wildcards or regexp.
        :type root: :py:class:`MetadataNode`
        :param root: root of metadata tree to parse
        :type path: string
        :param path: path of nodes to follow to access to the searched one
        :rtype: :py:class:`MetadataNode`
        :return: searched child node if found (nullptr otherwise)

The documentation for this class was generated from the following file:

- Release/python/iolink/iolink.py